/*
** The interface to administrate Look Up table
** Class: TableName
** Author : Yuping Zhu
** Date: 04-08-1999
*/

package ascdb.admin;

//import package oracle.html to generate dynamic HTML page
import oracle.html.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

import ascdb.pub.UserCheck;

public class TableName extends HttpServlet {
     public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException
    {
	// Output HTML page header
        res.setContentType("text/html");
        PrintWriter out = res.getWriter();
	String opStr = req.getParameter("op");
	int op = (new Integer(opStr)).intValue();
	String me = req.getParameter("me");
	UserCheck u = new UserCheck(me,req);


	// Create the HTML Page head
	HtmlHead hd = new HtmlHead("Training DB Look Up Table Administrate");
	
	// Create an HtmlBody Object
        HtmlBody bd = new HtmlBody();

        // Sets various attributes of HtmlBody
        bd.setBackgroundColor("#ffffe6");

        // Creates an HtmlPage object using hd and bd
        HtmlPage hp = new HtmlPage(hd, bd);

	try {
	   if ((u.UserRole(1) != 0) & !((u.UserRole(2) == 0 ) & (op == 1)))
	   {    
		hp.addItem(new SimpleItem(u.userid + "! You do not have this privilege!").setBold());
		out.println(hp);
		return;
	   }
		
	   String ActionClass = "ViewTable";
	   if ( op == 2)
		ActionClass = "AddRow";
/*	   else if (op == 3)
		ActionClass = "ModifyRow";
	   else if (op == 4)
		ActionClass = "DeleteRow";*/

	   Form frm = new Form("POST","ascdb.admin." + ActionClass);
	   frm
		.addItem(new SimpleItem("Select a Look up Table: ").setBold())
		.addItem(new Select("name")
				.addOption(new Option("v_countries"))
				.addOption(new Option("v_states"))
				.addOption(new Option("v_surtitles")))
		.addItem(SimpleItem.LineBreak)
		.addItem(new Hidden("me",me))
		.addItem(new Hidden("op",opStr))
		.addItem(new Submit("submit","Go!"));
	
	   bd
		.addItem(new SimpleItem("Look Up Table Administration").setBold().setFontColor(Color.red).setCenter())
		.addItem(SimpleItem.Paragraph)
		.addItem(frm.setCenter());
	   out.println(hp);
	}
	catch(ClassNotFoundException e) {
	    out.println( e.getMessage());
	}
	catch (Exception e) {
		out.println(e.getMessage());
	}
     }
}
		